DNSTaskStarter.DNSTaskStarterImpl
Date: 2017-02-10

javax.jmdns.impl

## Class DNSTaskStarter.DNSTaskStarterImpl

- java.lang.Object
- - javax.jmdns.impl.DNSTaskStarter.DNSTaskStarterImpl

- All Implemented Interfaces:
    DNSTaskStarter
  Enclosing interface:
    DNSTaskStarter

      public static final class DNSTaskStarter.DNSTaskStarterImpl
      extends java.lang.Object
      implements DNSTaskStarter

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DNSTaskStarter.DNSTaskStarterImpl.StarterTimer`

    - ### Nested classes/interfaces inherited from interface javax.jmdns.impl.DNSTaskStarter

      `DNSTaskStarter.DNSTaskStarterImpl, DNSTaskStarter.Factory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DNSTaskStarter.DNSTaskStarterImpl(JmDNSImpl jmDNSImpl)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancelStateTimer()` Cancel the state task timer
    `void` | `cancelTimer()` Cancel the generals task timer
    `void` | `purgeStateTimer()` Purge the state task timer
    `void` | `purgeTimer()` Purge the general task timer
    `void` | `startAnnouncer()` Start a new announcer task
    `void` | `startCanceler()` Start a new canceler task
    `void` | `startProber()` Start a new prober task
    `void` | `startReaper()` Start a new reaper task.
    `void` | `startRenewer()` Start a new renewer task
    `void` | `startResponder(DNSIncoming in, int port)` Start a new responder task
    `void` | `startServiceInfoResolver(ServiceInfoImpl info)` Start a new service info resolver task
    `void` | `startServiceResolver(java.lang.String type)` Start a new service resolver task
    `void` | `startTypeResolver()` Start a new service type resolver task

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DNSTaskStarter.DNSTaskStarterImpl

          public DNSTaskStarter.DNSTaskStarterImpl(JmDNSImpl jmDNSImpl)

  - ### Method Detail

    - #### purgeTimer

          public void purgeTimer()

      Description copied from interface: `DNSTaskStarter`
      Purge the general task timer
      Specified by:
        `purgeTimer` in interface `DNSTaskStarter`

    - #### purgeStateTimer

          public void purgeStateTimer()

      Description copied from interface: `DNSTaskStarter`
      Purge the state task timer
      Specified by:
        `purgeStateTimer` in interface `DNSTaskStarter`

    - #### cancelTimer

          public void cancelTimer()

      Description copied from interface: `DNSTaskStarter`
      Cancel the generals task timer
      Specified by:
        `cancelTimer` in interface `DNSTaskStarter`

    - #### cancelStateTimer

          public void cancelStateTimer()

      Description copied from interface: `DNSTaskStarter`
      Cancel the state task timer
      Specified by:
        `cancelStateTimer` in interface `DNSTaskStarter`

    - #### startProber

          public void startProber()

      Description copied from interface: `DNSTaskStarter`
      Start a new prober task
      Specified by:
        `startProber` in interface `DNSTaskStarter`

    - #### startAnnouncer

          public void startAnnouncer()

      Description copied from interface: `DNSTaskStarter`
      Start a new announcer task
      Specified by:
        `startAnnouncer` in interface `DNSTaskStarter`

    - #### startRenewer

          public void startRenewer()

      Description copied from interface: `DNSTaskStarter`
      Start a new renewer task
      Specified by:
        `startRenewer` in interface `DNSTaskStarter`

    - #### startCanceler

          public void startCanceler()

      Description copied from interface: `DNSTaskStarter`
      Start a new canceler task
      Specified by:
        `startCanceler` in interface `DNSTaskStarter`

    - #### startReaper

          public void startReaper()

      Description copied from interface: `DNSTaskStarter`
      Start a new reaper task. There is only supposed to be one reaper running at a time.
      Specified by:
        `startReaper` in interface `DNSTaskStarter`

    - #### startServiceInfoResolver

          public void startServiceInfoResolver(ServiceInfoImpl info)

      Description copied from interface: `DNSTaskStarter`
      Start a new service info resolver task
      Specified by:
        `startServiceInfoResolver` in interface `DNSTaskStarter`
      Parameters:
        `info` - service info to resolve

    - #### startTypeResolver

          public void startTypeResolver()

      Description copied from interface: `DNSTaskStarter`
      Start a new service type resolver task
      Specified by:
        `startTypeResolver` in interface `DNSTaskStarter`

    - #### startServiceResolver

          public void startServiceResolver(java.lang.String type)

      Description copied from interface: `DNSTaskStarter`
      Start a new service resolver task
      Specified by:
        `startServiceResolver` in interface `DNSTaskStarter`
      Parameters:
        `type` - service type to resolve

    - #### startResponder

          public void startResponder(DNSIncoming in,
                            int port)

      Description copied from interface: `DNSTaskStarter`
      Start a new responder task
      Specified by:
        `startResponder` in interface `DNSTaskStarter`
      Parameters:
        `in` - incoming message
        `port` - incoming port